Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.security.certclient
Class PkEeFactory

    java.lang.Object
      com.ibm.security.certclient.PkEeFactory

Direct Known Subclasses:
  PkEeCertReq10Factory, PkEeCertReqFactory, PkEeRevokeFactory

    public abstract class PkEeFactory

extends Object

Class to maintain EE configuration values. These values if set are the defaults used by all transaction factories. Note that passwords and EE domain have no defaults.

Field Summary
`protected static String` | `CA_DN`
`protected static String` | `caDn`
`protected static int` | `caPort`
`protected static com.ibm.security.certclient.base.PkEventFormatter` | `cmpEvntFmt`
`protected static String` | `keystoreFilename`
`protected static char[]` | `keystorePwd`
`protected static String` | `keyStoreType`
`protected static String` | `provider`

Constructor Summary
`PkEeFactory()`

Method Summary
`static String` | `getCA_DN()`
`static String` | `getCaDn()`
`static int` | `getCaPort()`
`static com.ibm.security.certclient.base.PkEventFormatter` | `getCmpFmt()`
`static String` | `getKeystoreFilename()`
`static String` | `getKeyStoreType()`
`static String` | `getProvider()`
`static void` | `setCA_DN(String ca_dn)`
`static void` | `setCaDn(String caDn)`
`static void` | `setCaPort(int caPort)`
`static void` | `setKeystoreFilename(String keystoreFilename)`
`static void` | `setKeystorePwd(char[] keystorePwd)`
`static void` | `setKeyStoreType(String keyStoreType)`
`static void` | `setProvider(String provider)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### caDn

    protected static String caDn

### caPort

    protected static int caPort

### keyStoreType

    protected static String keyStoreType

### keystorePwd

    protected static char[] keystorePwd

### keystoreFilename

    protected static String keystoreFilename

### provider

    protected static String provider

### CA_DN

    protected static String CA_DN

### cmpEvntFmt

    protected static com.ibm.security.certclient.base.PkEventFormatter cmpEvntFmt

Constructor Detail

### PkEeFactory

    public PkEeFactory()

Method Detail

### getCA_DN

    public static String getCA_DN()

  Returns:
    Returns the domain name to be appended to the EE name to provide the subject name for certificates

### setCA_DN

    public static void setCA_DN(String ca_dn)

  Parameters:
    `ca_dn` - Set the domain name to be used by this EE.

### getCaDn

    public static String getCaDn()

  Returns:
    Returns the distinguished name of the CA host

### setCaDn

    public static void setCaDn(String caDn)

  Parameters:
    `caDn` - Set the DN of the CA host. Default is "localhost".

### getCaPort

    public static int getCaPort()

  Returns:
    Returns the port to be used for communication with the CA

### setCaPort

    public static void setCaPort(int caPort)

  Parameters:
    `caPort` - Set the port to be used for communication with the CA. Default is 1077.

### getKeystoreFilename

    public static String getKeystoreFilename()

  Returns:
    Returns the keystoreFilename used by the EE.

### setKeystoreFilename

    public static void setKeystoreFilename(String keystoreFilename)

  Parameters:
    `keystoreFilename` - The keystoreFilename to set. Default is "eeStore"

### setKeystorePwd

    public static void setKeystorePwd(char[] keystorePwd)

  Parameters:
    `keystorePwd` - The keystorePwd to set.

### getKeyStoreType

    public static String getKeyStoreType()

  Returns:
    Returns the keyStoreType.

### setKeyStoreType

    public static void setKeyStoreType(String keyStoreType)

  Parameters:
    `keyStoreType` - The keyStoreType to set. Defaults to "jks".

### getProvider

    public static String getProvider()

  Returns:
    Returns the Java Security provider being used by the EE.

### setProvider

    public static void setProvider(String provider)

  Parameters:
    `provider` - Sets the Java Security provider to be used. Defaults to "IBMJCE"

### getCmpFmt

    public static com.ibm.security.certclient.base.PkEventFormatter getCmpFmt()

  Returns:
    Returns the CMP event formatter class for the EE.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD